> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Обновить вебхук

PATCH https://api.agentinbox.space/v0/webhooks/{webhook_id}
Content-Type: application/json

**CLI:**

```bash
agentinbox webhooks update --webhook-id <webhook_id> --add-inbox-id <inbox_id>
```

Reference: https://agentinbox.space/api-reference/webhooks/update

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Path parameters

- `webhook_id` (string, required) — Идентификатор вебхука.

### Body (application/json)

This endpoint expects an UpdateWebhookRequest.

- `add_inbox_ids` (list of string, optional) — Идентификаторы ящиков для подписки вебхука.
- `remove_inbox_ids` (list of string, optional) — Идентификаторы ящиков для отписки вебхука.
- `add_pod_ids` (list of string, optional) — Идентификаторы подов для подписки вебхука.
- `remove_pod_ids` (list of string, optional) — Идентификаторы подов для отписки вебхука.

## Response

### 200

- `webhook_id` (string, required) — Идентификатор вебхука.
- `url` (string, required) — URL конечной точки вебхука.
- `secret` (string, required) — Секрет для проверки подписи вебхука.
- `enabled` (boolean, required) — Вебхук включён.
- `updated_at` (datetime, required) — Время последнего обновления вебхука.
- `created_at` (datetime, required) — Время создания вебхука.
- `event_types` (list of enum, optional) — Типы событий, по которым отправлять вебхуки.
  - Allowed values: `message.received`, `message.sent`, `message.delivered`, `message.bounced`, `message.complained`, `message.rejected`, `domain.verified`
- `pod_ids` (list of string, optional) — Поды, для которых отправлять события. Не более 10 на вебхук.
- `inbox_ids` (list of string, optional) — Ящики, для которых отправлять события. Не более 10 на вебхук.
- `client_id` (string, optional) — Client ID вебхука.

## Errors

### 404 Not Found Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

### 400 Validation Error

- `name` (string, required) — Имя ошибки.
- `errors` (any, required) — Ошибки валидации.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "webhook_id": "webhook_id",
  "url": "url",
  "secret": "secret",
  "enabled": true,
  "updated_at": "2024-01-15T09:30:00Z",
  "created_at": "2024-01-15T09:30:00Z",
  "event_types": [
    "message.received",
    "message.received"
  ],
  "pod_ids": [
    "pod_ids",
    "pod_ids"
  ],
  "inbox_ids": [
    "inbox_ids",
    "inbox_ids"
  ],
  "client_id": "client_id"
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/webhooks/webhook_id"

payload = {}
headers = {
    "Authorization": "Bearer  <api_key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/webhooks/webhook_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer  <api_key>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/webhooks/webhook_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer  <api_key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/webhooks/webhook_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer  <api_key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.agentinbox.space/v0/webhooks/webhook_id")
  .header("Authorization", "Bearer  <api_key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.agentinbox.space/v0/webhooks/webhook_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/webhooks/webhook_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer  <api_key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer  <api_key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/webhooks/webhook_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```